Bug 599009 - Interact with vnc screens with the keyboard only
Interact with vnc screens with the keyboard only
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 10:09 EDT by Henrique Martins
Modified: 2013-04-30 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:21:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrique Martins 2010-06-02 10:09:29 EDT
Description of problem:
It looks like keyboard navigation/tabbing doesn't work with any of the vnc login and info screens that come with VNC and TigerVNC.  

Once in a while the vnc login box and all the ok/cancel or yes/no box, implemented by a KX C++ class of some sort, last time I looked at the code, lose focus before I have an opportunity to interact with them. 

I can then use the keyboard and give focus to those boxes but there doesn't seem to be a way to get focus, e.g. by tabbing, to any of the sub widgets/buttons.  This makes it impossible to acknowledge even the simplest OK boxes with the keyboard only.

I know, it's a GUI, use the mouse, but some of us don't like to take our hands off the keyboard for such simple things.


Version-Release number of selected component (if applicable):
All VNC/TigerVNC releases I can remember.

How reproducible:
Always

Steps to Reproduce:
1. Run vncviewer from a window manager with focus follow mouse policy active
2. Move focus away from the box by moving the mouse elsewhere or by whatever other means your WM provides via the keyboard, e.g. Alt-Tab
3. Bring focus back with Alt-Tab
4. Try to navigate to the user/password fields using the keyboard

or for an even simpler box
2. kill the login box via whatever button your WM provides
3. Move focus away from the box and bring it back as above
4. Try to acknowledge the OK button with the keyboard
  
Actual results:
Can't seem to be possible


Expected results:
Ought to be


Additional info:
Comment 1 Bug Zapper 2011-06-02 08:20:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 13:21:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.